org.jfree.graphics2d

## Class Args

- java.lang.Object
- - org.jfree.graphics2d.Args

-     public class Args
      extends java.lang.Object

  A utility class that performs checks for method argument validity.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `arrayMustHaveLength(int length, boolean[] array, java.lang.String ref)` Checks an array to ensure it has the correct length and throws an `IllegalArgumentException` if it does not.
    `static void` | `arrayMustHaveLength(int length, double[] array, java.lang.String ref)` Checks an array to ensure it has the correct length and throws an `IllegalArgumentException` if it does not.
    `static void` | `nullNotPermitted(java.lang.Object obj, java.lang.String ref)` Checks that an argument is non-`null` and throws an `IllegalArgumentException` otherwise.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### nullNotPermitted

          public static void nullNotPermitted(java.lang.Object obj,
                                              java.lang.String ref)

      Checks that an argument is non-`null` and throws an `IllegalArgumentException` otherwise.
      Parameters:
        `obj` - the object to check for `null`.
        `ref` - the text name for the parameter (to include in the exception message).

    - #### arrayMustHaveLength

          public static void arrayMustHaveLength(int length,
                                                 boolean[] array,
                                                 java.lang.String ref)

      Checks an array to ensure it has the correct length and throws an `IllegalArgumentException` if it does not.
      Parameters:
        `length` - the required length.
        `array` - the array to check.
        `ref` - the text name of the array parameter (to include in the exception message).

    - #### arrayMustHaveLength

          public static void arrayMustHaveLength(int length,
                                                 double[] array,
                                                 java.lang.String ref)

      Checks an array to ensure it has the correct length and throws an `IllegalArgumentException` if it does not.
      Parameters:
        `length` - the required length.
        `array` - the array to check (`null` not permitted).
        `ref` - the text name of the array parameter (to include in the exception message).